Assets = {}
PrefabFiles = {}

local TUNING = GLOBAL.TUNING
local GetPlayer = GLOBAL.GetPlayer
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH
local ACTIONS = GLOBAL.ACTIONS
local Vector3 = GLOBAL.Vector3
local distsq = GLOBAL.distsq
local GetWorld = GLOBAL.GetWorld
local Prefabs = GLOBAL.Prefabs
local Transform = GLOBAL.Transform
local Physics = GLOBAL.Physics
local AnimState = GLOBAL.AnimState
local FRAMES = GLOBAL.FRAMES
local DEGREES = GLOBAL.DEGREES
local SpawnPrefab = GLOBAL.SpawnPrefab
local TheCamera = GLOBAL.TheCamera
local State = GLOBAL.State
local TimeEvent = GLOBAL.TimeEvent
local EventHandler = GLOBAL.EventHandler
local TheSim = GLOBAL.TheSim
local GetSeasonManager = GLOBAL.GetSeasonManager
local SEASONS = GLOBAL.SEASONS
local FindEntity = GLOBAL.FindEntity
local EQUIPSLOTS = GLOBAL.EQUIPSLOTS
local KnownModIndex = GLOBAL.KnownModIndex

PrefabFiles =
{
	"extra_plantables",
	"farmplot_spot",
}

Assets = 
{
	Asset("IMAGE", "images/inventoryimages/veg_garden_useable.tex" ),
	Asset("ATLAS", "images/inventoryimages/veg_garden_useable.xml" ),
	Asset("IMAGE", "images/inventoryimages/turnip.tex"),
	Asset("ATLAS", "images/inventoryimages/turnip.xml"),
	Asset("IMAGE", "images/inventoryimages/turnip_cooked.tex"),
	Asset("ATLAS", "images/inventoryimages/turnip_cooked.xml"),
	Asset("IMAGE", "images/inventoryimages/turnip_seeds.tex"),
	Asset("ATLAS", "images/inventoryimages/turnip_seeds.xml"),
	Asset("IMAGE", "images/inventoryimages/potato.tex"),
	Asset("ATLAS", "images/inventoryimages/potato.xml"),
	Asset("IMAGE", "images/inventoryimages/potato_cooked.tex"),
	Asset("ATLAS", "images/inventoryimages/potato_cooked.xml"),
	Asset("IMAGE", "images/inventoryimages/potato_seeds.tex"),
	Asset("ATLAS", "images/inventoryimages/potato_seeds.xml"),
	Asset("IMAGE", "images/inventoryimages/tomato.tex"),
	Asset("ATLAS", "images/inventoryimages/tomato.xml"),
	Asset("IMAGE", "images/inventoryimages/tomato_cooked.tex"),
	Asset("ATLAS", "images/inventoryimages/tomato_cooked.xml"),
	Asset("IMAGE", "images/inventoryimages/tomato_seeds.tex"),
	Asset("ATLAS", "images/inventoryimages/tomato_seeds.xml"),
	Asset("IMAGE", "images/inventoryimages/garlic.tex"),
	Asset("ATLAS", "images/inventoryimages/garlic.xml"),
	Asset("IMAGE", "images/inventoryimages/garlic_cooked.tex"),
	Asset("ATLAS", "images/inventoryimages/garlic_cooked.xml"),
	Asset("IMAGE", "images/inventoryimages/garlic_seeds.tex"),
	Asset("ATLAS", "images/inventoryimages/garlic_seeds.xml"),
	Asset("IMAGE", "images/inventoryimages/onion.tex"),
	Asset("ATLAS", "images/inventoryimages/onion.xml"),
	Asset("IMAGE", "images/inventoryimages/onion_cooked.tex"),
	Asset("ATLAS", "images/inventoryimages/onion_cooked.xml"),
	Asset("IMAGE", "images/inventoryimages/onion_seeds.tex"),
	Asset("ATLAS", "images/inventoryimages/onion_seeds.xml"),
	Asset("IMAGE", "images/inventoryimages/wheat.tex"),
	Asset("ATLAS", "images/inventoryimages/wheat.xml"),
	Asset("IMAGE", "images/inventoryimages/wheat_cooked.tex"),
	Asset("ATLAS", "images/inventoryimages/wheat_cooked.xml"),
	Asset("IMAGE", "images/inventoryimages/wheat_seeds.tex"),
	Asset("ATLAS", "images/inventoryimages/wheat_seeds.xml"),	
}

AddMinimapAtlas("images/inventoryimages/veg_garden_useable.xml")

GLOBAL.TUNING.GORGE_CROPS = GetModConfigData("gorge_crops")

if GetModConfigData("veg_garden_difficulty") == "recipe_hard" then
	if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",12),Ingredient("cutstone",6),Ingredient("fertilizer",2),Ingredient("shovel",3)},RECIPETABS.FARM,TECH.SCIENCE_TWO,GLOBAL.RECIPE_GAME_TYPE.COMMON,"veg_garden_useable_placer",2) 
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",12),Ingredient("cutstone",6),Ingredient("fertilizer",2),Ingredient("shovel",3)},RECIPETABS.FARM,TECH.SCIENCE_TWO,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	elseif GLOBAL.IsDLCEnabled(GLOBAL.PORKLAND_DLC) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",12),Ingredient("cutstone",6),Ingredient("fertilizer",2),Ingredient("shovel",3)},RECIPETABS.FARM,TECH.SCIENCE_TWO,GLOBAL.RECIPE_GAME_TYPE.COMMON,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	else
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",16),Ingredient("cutstone",6),Ingredient("shovel",3)},RECIPETABS.FARM,TECH.SCIENCE_TWO,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	end
elseif GetModConfigData("veg_garden_difficulty") == "recipe_normal" then
	if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("fertilizer",1),Ingredient("shovel",2)},RECIPETABS.FARM,TECH.SCIENCE_TWO,GLOBAL.RECIPE_GAME_TYPE.COMMON,"veg_garden_useable_placer",2) 
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("fertilizer",1),Ingredient("shovel",2)},RECIPETABS.FARM,TECH.SCIENCE_TWO,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
		elseif GLOBAL.IsDLCEnabled(GLOBAL.PORKLAND_DLC) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("fertilizer",1),Ingredient("shovel",2)},RECIPETABS.FARM,TECH.SCIENCE_TWO,GLOBAL.RECIPE_GAME_TYPE.COMMON,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	else
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",12),Ingredient("cutstone",4),Ingredient("shovel",2)},RECIPETABS.FARM,TECH.SCIENCE_TWO,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	end	
elseif GetModConfigData("veg_garden_difficulty") == "recipe_easy" then
	if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("shovel",1)},RECIPETABS.FARM,TECH.SCIENCE_TWO,GLOBAL.RECIPE_GAME_TYPE.COMMON,"veg_garden_useable_placer",2) 
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("shovel",1)},RECIPETABS.FARM,TECH.SCIENCE_TWO,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	elseif GLOBAL.IsDLCEnabled(GLOBAL.PORKLAND_DLC) then
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("shovel",1)},RECIPETABS.FARM,TECH.SCIENCE_TWO,GLOBAL.RECIPE_GAME_TYPE.COMMON,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	else
		local vgarden = Recipe("veg_garden_useable",{Ingredient("poop",8),Ingredient("cutstone",4),Ingredient("shovel",1)},RECIPETABS.FARM,TECH.SCIENCE_TWO,"veg_garden_useable_placer",2)
		vgarden.atlas = "images/inventoryimages/veg_garden_useable.xml"
	end				
end